<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<div id="page">

	<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) : ?>

		<?php
			$header_class = '';
			if ( is_page_template( 'template-frontpage.php' ) && struct_homepage_has_transparent_header() ) {
				$header_class = 'header-transparent';
			}
		?>
		<header class="header <?php echo esc_attr( $header_class ); ?>">
			<div class="container">
				<div class="row">
					<div class="col-xs-12">
						<div class="header-wrap">
							<div class="header-left">
								<p class="logo">
									<?php if ( function_exists( 'the_custom_logo' ) ) {
										the_custom_logo();
									} ?>

									<?php if ( get_theme_mod( 'show_site_title', 1 ) ) : ?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site-logo-textual">
											<?php bloginfo( 'name' ); ?>
										</a>
									<?php endif; ?>
								</p>
							</div>
							<div class="header-right">
								<nav class="nav">
									<?php wp_nav_menu( array(
										'theme_location' => 'main_menu',
										'container'      => '',
										'menu_id'        => '',
										'menu_class'     => 'navigation',
									) ); ?>
								</nav>

								<div id="mobilemenu"></div><a href="#mobilemenu" class="mobile-menu-trigger"><i class="fa fa-navicon"></i><span class="screen-reader-text"><?php esc_html_e( 'Open Mobile Menu', 'struct' ); ?></span></a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</header>

	<?php endif;
