<?php
	add_action( 'admin_init', 'struct_cpt_post_add_metaboxes' );
	add_action( 'save_post', 'struct_cpt_post_update_meta' );

	if ( ! function_exists( 'struct_cpt_post_add_metaboxes' ) ):
	function struct_cpt_post_add_metaboxes() {
		add_meta_box( 'struct-post-details', esc_html__( 'Post Options', 'struct' ), 'struct_add_post_details_meta_box', 'post', 'normal', 'high' );
	}
	endif;

	if ( ! function_exists( 'struct_cpt_post_update_meta' ) ):
	function struct_cpt_post_update_meta( $post_id ) {

		if ( ! struct_can_save_meta( 'post' ) ) {
			return;
		}

		update_post_meta( $post_id, 'struct_hide_featured', struct_sanitize_checkbox_ref( $_POST['struct_hide_featured'] ) );
	}
	endif;

	if ( ! function_exists( 'struct_add_post_details_meta_box' ) ):
	function struct_add_post_details_meta_box( $object, $box ) {
		struct_prepare_metabox( 'post' );

		?><div class="ci-cf-wrap"><?php
			struct_metabox_open_tab( '' );
				struct_metabox_checkbox( 'struct_hide_featured', 1, esc_html__( "Don't show the featured image when viewing this individual page.", 'struct' ) );
			struct_metabox_close_tab();
		?></div><?php

	}
	endif;
