<?php
if ( ! function_exists( 'struct_get_part_customizer_css' ) ):
function struct_get_part_customizer_css() {
	ob_start();


	//
	// Global Colors
	//
	if ( get_theme_mod( 'global_primary_color' ) ) {
		$primary_color = get_theme_mod( 'global_primary_color' );
		$primary_hover = struct_color_luminance( $primary_color, -0.2 );
		?>
		a,
		.btn-transparent,
		.footer-copy a,
		.entry-title a:hover,
		.entry-meta-item::after,
		.entry-meta-item a:hover,
		.entry-content blockquote::before,
		.widget-title a:hover,
		.module-title a:hover,
		.item-title a:hover,
		.widget_meta ul li a:hover,
		.widget_pages ul li a:hover,
		.widget_categories ul li a:hover,
		.widget_archive ul li a:hover,
		.widget_recent_entries ul li a:hover,
		.navigation > li ul a:hover,
        .navigation > li ul .sfHover > a {
			color: <?php echo $primary_color; ?>
		}

		.ci-select select,
		.btn,
		input[type="button"],
		input[type="submit"],
		input[type="reset"],
		button,
		.comment-reply-link,
		.entry-content ul:not(.social-icons) li::before,
		.link-list-item a,
		.paging a:hover,
		.paging .current,
		.back-top,
		.faq-title,
		.sidebar .menu-item a,
		.social-icon:hover {
			background-color: <?php echo $primary_color; ?>
		}

		a:hover {
			color: <?php echo struct_color_luminance( $primary_color, 0.1 ); ?>
		}

		.btn-transparent,
		.item-pricing-featured,
		.item-icon,
		.social-icon {
			border-color: <?php echo $primary_color; ?>
		}

		.navigation > li > a:hover,
		.navigation > li.sfHover > a,
		.navigation > li.sfHover > a:active,
		.navigation > li.current_page_item > a,
		.navigation > li.current-menu-item > a,
		.navigation > li.current-menu-ancestor > a,
		.navigation > li.current-menu-parent > a,
		.navigation > li.current > a,
		.entry-content a {
			border-bottom-color: <?php echo $primary_color; ?>
		}

		/* Hover */
		a:hover {
			color: <?php echo $primary_hover; ?>
		}

		.btn:hover,
		input[type="button"]:hover,
		input[type="submit"]:hover,
		input[type="reset"]:hover,
		button:hover,
		.comment-reply-link:hover,
		.link-list-item a:hover,
		.menu .current-menu-item > a,
		.sidebar .menu-item a:hover {
			background-color: <?php echo $primary_hover; ?>
		}

		.btn-transparent:hover {
			border-color: <?php echo $primary_hover; ?>
		}
		<?php
	}

	if ( get_theme_mod( 'text_on_primary_color' ) ) {
		$text_on_primary = get_theme_mod( 'text_on_primary_color' );
		?>
		.ci-select select,
		.ci-select::after,
		.btn,
		input[type="button"],
		input[type="submit"],
		input[type="reset"],
		button,
		.btn:hover,
		input[type="button"]:hover,
		input[type="submit"]:hover,
		input[type="reset"]:hover,
		button:hover,
		.footer .link-list-item a,
		.footer .menu-item a,
		.comment-reply-link,
		.paging a:hover,
		.paging .current,
		.faq-title,
		.sidebar .menu-item a,
		.sidebar .menu-item a:hover,
		.link-list-item a,
		.link-list-item a:hover,
		.social-icon:hover,
		.sidebar .social-icon:hover,
		.entry-content .social-icon:hover,
		.back-top,
		.back-top:hover,
		.menu .current-menu-item > a {
			color: <?php echo $text_on_primary; ?>
		}
		<?php
	}

	if ( get_theme_mod( 'global_text_color' ) ) {
		$text_color       = get_theme_mod( 'global_text_color' );
		$text_color_light = struct_hex2rgba( $text_color, 0.75 );
		?>
		body,
		input,
		textarea,
		.btn-white,
		.btn-white.btn-transparent:hover,
		.widget .instagram-pics li a,
		.entry-title a,
		.entry-meta-item a,
		.module-testimonial-cite,
		.paging a,
		.paging > span,
		.paging li span,
		.navigation > li ul a,
		.widget_meta ul li a,
		.widget_pages ul li a,
		.widget_categories ul li a,
		.widget_archive ul li a,
		.widget_recent_entries ul li a,
		.social-icon,
		.sidebar .social-icon,
		.entry-content .social-icon {
			color: <?php echo $text_color; ?>;
		}
	
		blockquote cite,
		.comment-notes,
		.form-allowed-tags {
			color: <?php echo $text_color_light; ?>;
		}

		::-webkit-input-placeholder { color: <?php echo $text_color_light; ?>; }
		:-moz-placeholder           { color: <?php echo $text_color_light; ?>; }
		::-moz-placeholder          { color: <?php echo $text_color_light; ?>; }
		:-ms-input-placeholder      { color: <?php echo $text_color_light; ?>; }
		<?php
	}

	if ( get_theme_mod( 'global_link_color' ) ) {
		?>
		.entry-content a,
		.entry-content a:hover {
			color: <?php echo get_theme_mod( 'global_link_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'global_link_hover_color' ) ) {
		?>
		.entry-content a:hover {
			color: <?php echo get_theme_mod( 'global_link_hover_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'global_border_color' ) ) {
		$border_color = get_theme_mod( 'global_border_color' );
		$border_dark  = struct_color_luminance( $border_color, -0.1 );
		?>
		input,
		textarea,
		.widget select,
		.project-meta,
		.item-pricing,
		.navigation ul,
		.ci-map-wrap {
			border-color: <?php echo $border_color; ?>
		}

		input:focus,
		textarea:focus {
			border-color: <?php echo $border_dark; ?>
		}

		.entry-tags {
			border-top-color: <?php echo $border_color; ?>
		}

		.table th,
		.table td,
		.project-meta th,
		.project-meta td {
			border-bottom-color: <?php echo $border_color; ?>
		}

		.project-meta th,
		.project-meta td {
			border-right-color: <?php echo $border_color; ?>
		}

		.item-features li,
		.navigation > li ul a,
		.widget_recent_comments ul li,
		.widget_recent_entries ul li {
			border-bottom-color: <?php echo struct_hex2rgba( $border_color, 0.45 ); ?>
		}

		.paging a,
		.paging > span,
		.paging li span {
			background-color: <?php echo $border_color; ?>
		}
		<?php
	}

	//
	// Header
	//
	if ( get_theme_mod( 'header_bg_color' ) ) {
		?>
		.header {
			background-color: <?php echo get_theme_mod( 'header_bg_color' ); ?>;
		}
		<?php
	}

	$header_image = get_header_image();
	if ( $header_image ) {
		?>
		.header {
			background-image: url('<?php echo esc_url( $header_image ); ?>');
			background-repeat: <?php echo get_theme_mod( 'header_bg_repeat', 'no-repeat' ); ?>;
			background-position: <?php echo get_theme_mod( 'header_bg_position_x', 'left' ) . ' ' . get_theme_mod( 'logo_background_position_y', 'top' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'header_nav_color' ) ) {
		?>
		.navigation a,
		.logo a {
			color: <?php echo get_theme_mod( 'header_nav_color' ); ?>
		}
		<?php
	}

	if ( get_theme_mod( 'header_nav_color_hover' ) ) {
		?>
		.navigation > li > a:hover,
		.navigation > li.sfHover > a,
		.navigation > li.sfHover > a:active,
		.navigation > li.current_page_item > a,
		.navigation > li.current-menu-item > a,
		.navigation > li.current-menu-ancestor > a,
		.navigation > li.current-menu-parent > a,
		.navigation > li.current > a,
		.navigation	> li ul a:hover,
		.navigation > li ul .sfHover > a {
			color: <?php echo get_theme_mod( 'header_nav_color_hover' ); ?>
		}
		<?php
	}

		if ( get_theme_mod( 'header_subnav_color' ) ) {
			?>
			.navigation > li ul a {
				color: <?php echo get_theme_mod( 'header_subnav_color' ); ?>
			}
			<?php
		}

		if ( get_theme_mod( 'header_subnav_color_hover' ) ) {
			?>
			.navigation > li ul a:hover {
				color: <?php echo get_theme_mod( 'header_subnav_color_hover' ); ?>
			}
			<?php
		}

	if ( get_theme_mod( 'header_subnav_bg_color' ) ) {
		$subnav_bg = get_theme_mod( 'header_subnav_bg_color' );
		?>
		.navigation ul {
			background-color: <?php echo $subnav_bg; ?>;
			border-color: <?php echo struct_color_luminance( $subnav_bg, -0.1);	?>;
		}

		.navigation > li ul a {
			border-bottom-color: <?php echo struct_color_luminance( $subnav_bg, -0.1);	?>;
		}
		<?php
	}


	//
	// Sidebar
	//
	if ( get_theme_mod( 'sidebar_bg_color' ) ) {
		?>
		.sidebar {
			padding: 15px;
			background-color: <?php echo get_theme_mod( 'sidebar_bg_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_text_color' ) ) {
		?>
		.sidebar {
			color: <?php echo get_theme_mod( 'sidebar_text_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_link_color' ) ) {
		?>
		.sidebar a,
		.sidebar a:hover,
		.sidebar .widget_meta ul li a,
		.sidebar .widget_pages ul li a,
		.sidebar .widget_categories ul li a,
		.sidebar .widget_archive ul li a,
		.sidebar .widget_recent_entries ul li a {
			color: <?php echo get_theme_mod( 'sidebar_link_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_hover_color' ) ) {
		?>
		.sidebar a:hover,
		.sidebar .widget_meta ul li a:hover,
		.sidebar .widget_pages ul li a:hover,
		.sidebar .widget_categories ul li a:hover,
		.sidebar .widget_archive ul li a:hover,
		.sidebar .widget_recent_entries ul li a:hover {
			color: <?php echo get_theme_mod( 'sidebar_hover_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_title_color' ) ) {
		?>
		.sidebar .widget-title,
		.sidebar .widget-title a {
			color: <?php echo get_theme_mod( 'sidebar_title_color' ); ?>;
		}

		.sidebar .widget-title::after {
			background-color: <?php echo get_theme_mod( 'sidebar_title_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'sidebar_border_color' ) ) {
		?>
		.sidebar input,
		.sidebar textarea {
			border-color: <?php echo get_theme_mod( 'sidebar_border_color' ); ?>;
		}
		<?php
	}


	//
	// Footer Colors
	//
	if ( get_theme_mod( 'footer_bg_color' ) ) {
		?>
		.footer {
			background-color: <?php echo get_theme_mod( 'footer_bg_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'footer_text_color' ) ) {
		?>
		.footer,
		.footer .widget_meta a,
		.footer .widget_pages a,
		.footer .widget_categories a,
		.footer .widget_archive a,
		.footer .widget_recent_entries a,
		.footer .widget_nav_menu a {
			color: <?php echo get_theme_mod( 'footer_text_color' ); ?>;
		}
		<?php
	}

	if ( get_theme_mod( 'footer_link_color' ) ) {
		?>
		.footer a:not(.btn),
		.footer .widget_meta a,
		.footer .widget_pages a,
		.footer .widget_categories a,
		.footer .widget_archive a,
		.footer .widget_recent_entries a,
		.footer .widget_nav_menu a {
			color: <?php echo get_theme_mod( 'footer_link_color' ); ?>;
		}
		<?php
	}

	// TODO: Remove this after two versions from when the option was removed.
	if ( get_theme_mod( 'custom_css' ) ) {
		echo get_theme_mod( 'custom_css' );
	}

	$css = ob_get_clean();
	return apply_filters( 'struct_part_customizer_css', $css );
}
endif;
