<?php
namespace Elementor;

/**
 * Struct Elementor related code.
 */

add_action( 'elementor/theme/register_locations', 'Elementor\struct_register_elementor_locations' );
function struct_register_elementor_locations( $elementor_theme_manager ) {
	$elementor_theme_manager->register_location( 'header' );
	$elementor_theme_manager->register_location( 'footer' );
	$elementor_theme_manager->register_location( 'single' );
	$elementor_theme_manager->register_location( 'archive' );
}

function struct_elementor_init() {
	Plugin::instance()->elements_manager->add_category(
		'struct-elements',
		[
			'title' => __( 'Struct Elements', 'struct' ),
			'icon'  => 'font',
		],
		1
	);
}
add_action( 'elementor/init', 'Elementor\struct_elementor_init' );

add_action( 'elementor/widgets/widgets_registered', 'Elementor\struct_elementor_add_elements' );
function struct_elementor_add_elements() {
	require_once get_theme_file_path( 'inc/elementor/struct-element.php' );
	Plugin::instance()->widgets_manager->register_widget_type( new Struct_Element() );

	require_once get_theme_file_path( 'inc/elementor/struct-post-type.php' );
	Plugin::instance()->widgets_manager->register_widget_type( new Widget_Post_Type() );
}

add_action( 'elementor/controls/controls_registered', 'Elementor\struct_plugin_posts_register_control' );
function struct_plugin_posts_register_control( $controls_manager ) {
	require_once get_theme_file_path( 'inc/elementor/inc/struct-element-posts-group-control.php' );
	$controls_manager->add_group_control( 'struct_element_posts', new Struct_Element_Posts_Group_Control() );
}

add_action( 'elementor/frontend/before_enqueue_scripts', 'Elementor\struct_element_scripts' );
function struct_element_scripts() {
	$theme = wp_get_theme();
	wp_enqueue_script(
		'ci-element-scripts',
		get_theme_file_uri( '/js/ci-element-scripts.js' ),
		[ 'jquery' ],
		$theme->get( 'Version' ),
		true
	);
	wp_enqueue_script(
		'imagesLoaded',
		get_theme_file_uri( '/js/imagesloaded.pkgd.min.js' ),
		[ 'jquery' ],
		$theme->get( 'Version' ),
		true
	);
}
