<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
	<h2 class="entry-title">
		<a href="<?php the_permalink(); ?>">
			<?php the_title(); ?>
		</a>
	</h2>

	<?php if ( get_theme_mod( 'listing_diy_date', 1 ) || get_theme_mod( 'listing_diy_categories', 1 ) || get_theme_mod( 'listing_diy_comments', 1 ) ) : ?>
		<div class="entry-meta">
			<?php if ( get_theme_mod( 'listing_diy_date', 1 ) ) : ?>
				<time class="entry-meta-item entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>
			<?php endif; ?>

			<?php if ( get_theme_mod( 'listing_diy_categories', 1 ) ) : ?>
				<p class="entry-meta-item entry-categories">
					<?php the_terms( get_the_ID(), 'struct_diy_category' ); ?>
				</p>
			<?php endif; ?>

			<?php if ( get_theme_mod( 'listing_diy_comments', 1 ) ) : ?>
				<p class="entry-meta-item entry-comments-link">
					<a href="<?php echo esc_url( get_comments_link() ); ?>">
						<?php comments_number(); ?>
					</a>
				</p>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<?php if ( get_theme_mod( 'listing_diy_featured', 1 ) && has_post_thumbnail() ) : ?>
		<figure class="entry-thumb">
			<a href="<?php the_permalink(); ?>">
				<?php the_post_thumbnail( 'struct_featured' ); ?>
			</a>
		</figure>
	<?php endif; ?>

	<div class="entry-content">
		<?php the_excerpt(); ?>
	</div>

	<a href="<?php the_permalink(); ?>" class="btn btn-arrow"><?php esc_html_e( 'Read More', 'struct' ); ?></a>
</article>
