<?php
	$title    = '';
	$subtitle = '';

	if ( is_home() || is_singular( 'post' ) ) {
		$pfp      = get_option( 'page_for_posts' );
		$pfp      = intval( $pfp );
		$pfp_post = get_post( $pfp );

		if ( ! empty( $pfp ) && ! empty( $pfp_post ) ) {
			$title    = get_the_title( $pfp_post );
			$subtitle = get_post_meta( $pfp, 'struct_subtitle', true );
		}

		if ( get_theme_mod( 'title_blog' ) ) {
			$title = get_theme_mod( 'title_blog' );
		}
		if ( get_theme_mod( 'title_blog_subtitle' ) ) {
			$subtitle = get_theme_mod( 'title_blog_subtitle' );
		}

	} elseif ( is_page() ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'struct_subtitle', true );

	} elseif ( is_singular( 'struct_service' ) ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'struct_subtitle', true );

		$icon = get_post_meta( get_the_ID(), 'struct_icon', true );
		if ( ! empty( $icon ) ) {
			$title = '<i class="fa ' . esc_attr( $icon ) . '"></i> ' . $title;
		}

	} elseif ( is_singular( 'struct_team' ) ) {
		$title    = single_post_title( '', false );
		$subtitle = get_post_meta( get_queried_object_id(), 'struct_subtitle', true );

	} elseif ( is_singular( 'struct_diy' ) ) {
		$title    = get_theme_mod( 'title_diy', esc_html__( 'Do it yourself', 'struct' ) );
		$subtitle = '';

	} elseif ( is_singular() ) {
		$title    = single_post_title( '', false );
		$subtitle = '';

	} elseif ( is_archive() ) {
		$title = get_the_archive_title();

		if ( is_tax() ) {
			$subtitle = term_description();
		}

	} elseif ( is_search() ) {
		global $wp_query;
		$found = $wp_query->found_posts;

		$title    = get_theme_mod( 'title_search', esc_html__( 'Search results', 'struct' ) );
		$subtitle = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'struct' ), $found ) );

	} elseif ( is_404() ) {
		$title    = get_theme_mod( 'title_404', esc_html__( 'Page not found', 'struct' ) );
		$subtitle = '';

	} else {
		$title    = '';
		$subtitle = '';
	}

	$title    = apply_filters( 'struct_hero_title', $title );
	$subtitle = apply_filters( 'struct_hero_subtitle', $subtitle );
?>
<?php if ( ! empty( $title ) || ! empty( $subtitle ) ): ?>
	<?php if ( ! empty( $title ) ): ?>
		<h1 class="page-title"><?php echo $title; ?></h1>
	<?php endif; ?>

	<?php if ( ! empty( $subtitle ) ): ?>
		<p class="page-subtitle"><?php echo $subtitle; ?></p>
	<?php endif; ?>
<?php endif; ?>
