<?php get_header(); ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) : ?>

			<div class="row">
				<div class="col-xl-9 col-lg-8 col-xs-12">
					<?php get_template_part( 'part-hero' ); ?>

					<?php
						global $wp_query;

						$found = $wp_query->found_posts;
						$none  = esc_html__( 'No results found. Please broaden your terms and search again.', 'struct' );
						$one   = esc_html__( 'Just one result found. We either nailed it, or you might want to broaden your terms and search again.', 'struct' );
						$many  = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'struct' ), $found ) );
					?>

					<?php if ( $found < 2 ) : ?>
						<article class="entry">
							<div class="entry-content">
								<p><?php struct_e_inflect( $found, $none, $one, $many ); ?></p>
								<?php if ( $found < 2 ) {
									get_search_form();
								} ?>
							</div>
						</article>
					<?php endif; ?>

					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'listing-item', get_post_type() ); ?>
					<?php endwhile; ?>

					<?php struct_pagination(); ?>
				</div>

				<div class="col-xl-3 col-lg-4 col-xs-12">
					<?php get_sidebar(); ?>
				</div>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
