<?php get_header(); ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'single' ) ) : ?>

			<div class="row">
				<div class="col-xl-9 col-lg-8 col-xs-12">
					<?php while ( have_posts() ) : the_post(); ?>
						<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<?php get_template_part( 'part-hero' ); ?>

							<?php if ( has_post_thumbnail() && ! get_post_meta( get_the_ID(), 'struct_hide_featured', true ) ) : ?>
								<figure class="entry-thumb">
									<a class="ci-lightbox" href="<?php echo esc_url( struct_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
										<?php the_post_thumbnail( 'struct_featured' ); ?>
									</a>
								</figure>
							<?php endif; ?>

							<div class="entry-content">
								<?php $socials = get_post_meta( get_the_ID(), 'struct_team_social_fields', true ); ?>
								<?php if ( ! empty( $socials ) ) : ?>
									<ul class="social-icons item-socials">
										<?php foreach ( $socials as $social ) : ?>
											<?php if ( ! empty( $social['code'] ) && ! empty( $social['url'] ) ) : ?>
												<li>
													<a class="social-icon" href="<?php echo esc_url( $social['url'] ); ?>">
														<i class="fa <?php echo esc_attr( $social['code'] ); ?>"></i>
													</a>
												</li>
											<?php endif; ?>
										<?php endforeach; ?>
									</ul>
								<?php endif; ?>

								<?php the_content(); ?>
								<?php wp_link_pages(); ?>
							</div>
						</article>
					<?php endwhile; ?>
				</div>

				<div class="col-xl-3 col-lg-4 col-xs-12">
					<?php
						$args = array(
							'post_type'      => 'struct_team',
							'posts_per_page' => -1,
						);
						$team = new WP_Query( $args );
					?>
					<?php if ( $team->have_posts() ) : ?>
						<aside class="widget">
							<ul class="link-list">
								<?php while ( $team->have_posts() ) : $team->the_post(); ?>
									<?php $active = get_the_ID() == get_queried_object_id() ? 'current-menu-item' : ''; ?>
									<li class="link-list-item <?php echo esc_attr( $active ); ?>">
										<a href="<?php the_permalink(); ?>">
											<span class="link-list-content">
												<strong><?php the_title(); ?></strong>
												<?php echo get_post_meta( get_the_ID(), 'struct_subtitle', true ); ?>
											</span>
										</a>
									</li>
								<?php endwhile; ?>
							</ul>
						</aside>
					<?php endif; wp_reset_postdata(); ?>

					<?php get_sidebar(); ?>
				</div>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
