<?php get_header(); ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'single' ) ) : ?>

			<div class="row">
				<div class="col-xl-9 col-lg-8 col-xs-12">
					<?php while ( have_posts() ) : the_post(); ?>
						<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<h1 class="entry-title"><?php the_title(); ?></h1>

							<?php if ( get_theme_mod( 'single_date', 1 ) || get_theme_mod( 'single_categories', 1 ) || get_theme_mod( 'single_comments', 1 ) ) : ?>
								<div class="entry-meta">
									<?php if ( get_theme_mod( 'single_date', 1 ) ) : ?>
										<time class="entry-meta-item entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>
									<?php endif; ?>

									<?php if ( get_theme_mod( 'single_categories', 1 ) ) : ?>
										<p class="entry-meta-item entry-categories">
											<?php the_category( ', ' ); ?>
										</p>
									<?php endif; ?>

									<?php if ( get_theme_mod( 'single_comments', 1 ) ) : ?>
										<p class="entry-meta-item entry-comments-link">
											<a href="<?php echo esc_url( get_comments_link() ); ?>">
												<?php comments_number(); ?>
											</a>
										</p>
									<?php endif; ?>
								</div>
							<?php endif; ?>

							<?php if ( has_post_thumbnail() && ! get_post_meta( get_the_ID(), 'struct_hide_featured', true ) && get_theme_mod( 'single_featured', 1 ) ) : ?>
								<figure class="entry-thumb">
									<a class="ci-lightbox" href="<?php echo esc_url( struct_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
										<?php the_post_thumbnail( 'struct_featured' ); ?>
									</a>
								</figure>
							<?php endif; ?>

							<div class="entry-content">
								<?php the_content(); ?>
								<?php wp_link_pages(); ?>

								<?php if ( get_theme_mod( 'single_tags', 1 ) ) : ?>
									<div class="entry-tags">
										<?php the_tags(); ?>
									</div>
								<?php endif; ?>
							</div>

							<?php if ( get_theme_mod( 'single_comments', 1 ) ) {
								comments_template();
							} ?>
						</article>
					</div>
				<?php endwhile; ?>

				<div class="col-xl-3 col-lg-4 col-xs-12">
					<?php get_sidebar(); ?>
				</div>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
