<?php get_header(); ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) : ?>

			<div class="row">
				<div class="col-xl-9 col-lg-8 col-xs-12">
					<article class="entry">
						<?php get_template_part( 'part-hero' ); ?>

						<div class="entry-content">
							<?php
								$queried_id = get_queried_object_id();
								$terms_ids  = get_term_children( get_queried_object_id(), 'struct_faq_category' );

								$args = array(
									'post_type'      => 'struct_faq',
									'posts_per_page' => - 1,
									'tax_query'      => array(
										array(
											'taxonomy'         => 'struct_faq_category',
											'field'            => 'term_id',
											'terms'            => intval( $queried_id ),
											'include_children' => false,
										),
									),
								);

								$q = new WP_Query( $args );
							?>

							<?php if ( $q->have_posts() ) : ?>
								<div class="faq-section">
									<?php while ( $q->have_posts() ) : $q->the_post(); ?>
										<div class="faq-wrap">
											<a href="#" class="faq-title"><?php the_title(); ?></a>
											<div class="faq-content entry-content"><?php the_content(); ?></div>
										</div>
									<?php endwhile; ?>
									<?php wp_reset_postdata(); ?>
								</div>
							<?php endif; ?>

							<?php foreach ( $terms_ids as $term_id ) : ?>
								<?php
									$args['tax_query'][0]['terms'] = $term_id;

									$term = get_term( $term_id );
									$q    = new WP_Query( $args );
								?>
								<?php if ( $q->have_posts() ) : ?>
									<div class="faq-section">
										<h2 class="item-title"><?php echo $term->name; ?></h2>

										<?php while ( $q->have_posts() ) : $q->the_post(); ?>
											<div class="faq-wrap">
												<a href="#" class="faq-title"><?php the_title(); ?></a>
												<div class="faq-content entry-content"><?php the_content(); ?></div>
											</div>
										<?php endwhile; ?>
										<?php wp_reset_postdata(); ?>
									</div>
								<?php endif; ?>
							<?php endforeach; ?>

						</div>
					</article>
				</div>

				<div class="col-xl-3 col-lg-4 col-xs-12">
					<?php get_sidebar(); ?>
				</div>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
