<?php
/*
 * Template Name: DIY Listing
 */
?>

<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xl-9 col-lg-8 col-xs-12">
				<?php get_template_part( 'part-hero' ); ?>

				<?php while ( have_posts() ): the_post(); ?>
					<?php
						$cpt            = 'struct_diy';
						$cpt_taxonomy   = 'struct_diy_category';
						$base_category  = get_post_meta( get_the_ID(), 'struct_diy_listing_base_category', true );
						$posts_per_page = get_post_meta( get_the_ID(), 'struct_diy_listing_posts_per_page', true );

						$args = array(
							'paged'     => struct_get_page_var(),
							'post_type' => $cpt,
						);

						$args_tax = array(
							'tax_query' => array(
								array(
									'taxonomy'         => $cpt_taxonomy,
									'field'            => 'term_id',
									'terms'            => intval( $base_category ),
									'include_children' => true
								)
							)
						);

						if ( $posts_per_page >= 1 ) {
							$args['posts_per_page'] = $posts_per_page;
						} elseif ( $posts_per_page <= - 1 ) {
							$args['posts_per_page'] = - 1;
						}

						if ( empty( $base_category ) || $base_category < 1 ) {
							$q = new WP_Query( $args );
						} else {
							$q = new WP_Query( array_merge( $args, $args_tax ) );
						}
					?>

					<?php if ( $q->have_posts() ): ?>
						<?php while ( $q->have_posts() ): $q->the_post(); ?>
							<?php get_template_part( 'listing-item', get_post_type() ); ?>
						<?php endwhile; ?>
						<?php wp_reset_postdata(); ?>

						<?php struct_pagination( array(), $q ); ?>
					<?php endif; ?>

				<?php endwhile; ?>
			</div>

			<div class="col-xl-3 col-lg-4 col-xs-12">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>
