<?php
/*
 * Template Name: Team Listing
 */
?>

<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<?php
				$layout      = get_post_meta( get_queried_object_id(), 'struct_team_listing_layout', true );
				$layout_arr  = explode( '-', $layout );
				$columns     = intval( $layout_arr[0] );
				$has_sidebar = $layout_arr[1] == 'sidebar' ? true : false;

				$content_columns = 'col-xs-12';
				if ( $has_sidebar ) {
					$content_columns = 'col-xl-9 col-lg-8 col-xs-12';
				}
			?>
			<div class="<?php echo esc_attr( $content_columns ); ?>">
				<?php get_template_part( 'part-hero' ); ?>

				<?php while ( have_posts() ): the_post(); ?>
					<?php
						$cpt            = 'struct_team';
						$cpt_taxonomy   = 'struct_team_category';
						$base_category  = get_post_meta( get_the_ID(), 'struct_team_listing_base_category', true );
						$posts_per_page = get_post_meta( get_the_ID(), 'struct_team_listing_posts_per_page', true );

						$args = array(
							'paged'     => struct_get_page_var(),
							'post_type' => $cpt,
						);

						$args_tax = array(
							'tax_query' => array(
								array(
									'taxonomy'         => $cpt_taxonomy,
									'field'            => 'term_id',
									'terms'            => intval( $base_category ),
									'include_children' => true
								)
							)
						);

						if ( $posts_per_page >= 1 ) {
							$args['posts_per_page'] = $posts_per_page;
						} elseif ( $posts_per_page <= - 1 ) {
							$args['posts_per_page'] = - 1;
						}

						if ( empty( $base_category ) || $base_category < 1 ) {
							$q = new WP_Query( $args );
						} else {
							$q = new WP_Query( array_merge( $args, $args_tax ) );
						}
					?>

					<?php if ( $q->have_posts() ): ?>
						<div class="row row-equal row-items">
							<?php while ( $q->have_posts() ): $q->the_post(); ?>
								<div class="<?php echo esc_attr( struct_get_columns_classes( $columns, ! $has_sidebar ) ); ?>">
									<?php get_template_part( 'item-social', get_post_type() ); ?>
								</div>
							<?php endwhile; ?>
							<?php wp_reset_postdata(); ?>
						</div>

						<?php struct_pagination( array(), $q ); ?>
					<?php endif; ?>

				<?php endwhile; ?>
			</div>

			<?php if ( $has_sidebar ): ?>
				<div class="col-xl-3 col-lg-4 col-xs-12">
					<?php get_sidebar(); ?>
				</div>
			<?php endif; ?>

		</div>
	</div>
</main>

<?php get_footer(); ?>
