<?php
	$icon    = get_post_meta( get_the_ID(), 'struct_icon', true );
	$socials = get_post_meta( get_the_ID(), 'struct_team_social_fields', true );
	$classes = array( 'item' );
	if ( in_array( get_post_type(), array( 'post', 'struct_diy' ), true ) ) {
		$has_date  = true;
		$classes[] = 'item-entry';
	} elseif ( 'struct_team' === get_post_type() ) {
		$has_date  = false;
		$classes[] = 'item-center';
	} elseif ( 'struct_service' === get_post_type() && 'center' === $settings['icon_position'] ) {
		$has_date  = false;
		$classes[] = 'item-center';
	} elseif ( 'struct_service' === get_post_type() && 'left' === $settings['icon_position'] ) {
		$has_date  = false;
		$classes[] = 'item-media';
	} else {
		$has_date = false;
	}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?>>
	<?php if ( has_post_thumbnail() && 'yes' === $settings['show_thumbnail'] && empty( $icon ) ) : ?>
		<figure class="item-thumb">
			<a href="<?php the_permalink(); ?>">
				<?php the_post_thumbnail(); ?>
			</a>
		</figure>
	<?php elseif ( ! empty( $icon ) && 'yes' === $settings['show_icon'] ) : ?>
		<div class="item-icon">
			<i class="fa <?php echo esc_attr( $icon ); ?>"></i>
		</div>
	<?php endif; ?>

	<div class="item-content">
		<?php if ( 'yes' === $settings['show_title'] ) : ?>
			<p class="item-title">
				<a href="<?php the_permalink(); ?>">
					<?php the_title(); ?>
				</a>
			</p>
		<?php endif; ?>

		<?php if ( $has_date && 'yes' === $settings['show_meta'] ) : ?>
			<time class="item-entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time>
		<?php endif; ?>

		<?php if ( ! empty( $socials ) && 'yes' === $settings['show_socials'] ) : ?>
			<ul class="social-icons item-socials">
				<?php foreach ( $socials as $social ) : ?>
					<?php if ( ! empty( $social['code'] ) && ! empty( $social['url'] ) ) : ?>
						<li>
							<a class="social-icon" href="<?php echo esc_url( $social['url'] ); ?>">
								<i class="fa <?php echo esc_attr( $social['code'] ); ?>"></i>
							</a>
						</li>
					<?php endif; ?>
				<?php endforeach; ?>
			</ul>
		<?php endif; ?>

		<?php if ( 'yes' === $settings['show_excerpt'] ) : ?>
			<?php the_excerpt(); ?>
		<?php endif; ?>

		<?php if ( 'yes' === $settings['show_button'] ) : ?>
			<a href="<?php the_permalink(); ?>" class="btn btn-arrow">
				<?php esc_html_e( 'Read More', 'struct' ); ?>
			</a>
		<?php endif; ?>
	</div>
</div>
